Subject: Re: Mantis Eggs Wanted

From: [email-masked] (Peter Smith)
Date: Fri, 6 Jan 1995 14:23:56 GMT

In the past I have seen ads from a U.S. resident who sold egg cases
for around $.50 a piece.  It was in the classified section of Organic
Gardening magazine.  

You might check out a past copy and contact him, though I doubt he
could ship internationally.

Another option is to collect your own.  A good place that I have
encountered is at the joint of wooden structures that are built next
to meadows.  

------
|O         This is a side view of two joined boards, with the egg 
|               case designated as 'O'.

Also, look amongst the twigs of shrubs in a meadow.  Around here
(Canada), you have to look above snow depth, of course.

Good Luck!